Material parameter values

Get material parameter values

get

The API gives the ability to get all material parameters values.

Authorizations
x-api-keystringRequired
Path parameters
parameter_idstring · UUIDRequired

Parameter ID

Query parameters
namestringOptional

Parameter value name

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Responses
chevron-right
200Success
application/json
idstringRequired

Unique identifier of the parameter value

Example: b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e
namestringRequired

Name of the parameter value

Example: Organic Cotton
ordernumberRequired

Order of the parameter value

Example: 1
get
/api/v1/public/material-parameters/{parameter_id}/values

Create material parameter values

post

The API gives the ability to create a material’s parameter value.

Authorizations
x-api-keystringRequired
Path parameters
parameter_idstring · UUIDRequired

Parameter ID

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Body
namestringRequired

Name of the material parameter value

Example: Red
ordernumberRequired

Display order of the parameter value (used for sorting in UI)

Example: 1
Responses
post
/api/v1/public/material-parameters/{parameter_id}/values

Update material parameter value

patch

The API gives the ability to update a material’s parameter value name.

Authorizations
x-api-keystringRequired
Path parameters
value_idstring · UUIDRequired

Material parameter value ID

parameter_idstring · UUIDRequired

Parameter ID

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Body
namestringOptional

Name of the material parameter value

Example: Blue
ordernumberOptional

Display order of the parameter value (used for sorting in UI)

Example: 2
Responses
chevron-right
200Success
application/json
messagestringRequired

Message returned from API confirming the operation

Example: The operation was done successfully
patch
/api/v1/public/material-parameters/{parameter_id}/values/{value_id}

Last updated